:root {
  --primary: #2b14d8;
  --secondary: #1a0c83;
  --light: #f6f7fc;
  --dark: #15233c;
  --loader-size: 80px;
  --gradient: linear-gradient(
    120deg,
    rgba(43, 20, 216, 1) 35%,
    rgba(80, 20, 255, 1) 100%
  );
}
.back-to-top {
  position: fixed;
  display: none;
  left: 30px;
  bottom: 30px;
  z-index: 99;
}

.loader {
  position: relative;
  display: inline-block;
  width: var(--loader-size);
  height: var(--loader-size);
}

.loader::before,
.loader::after {
  position: absolute;
  content: "";
  width: var(--loader-size);
  height: var(--loader-size);
  border-radius: 50%;
  background-color: var(--primary);
  animation: pulse 2s linear infinite;
}

.loader::after {
  animation-delay: 1s;
}

@keyframes pulse {
  0% {
    transform: scale(0);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
  z-index: 99999;
}
#spinner.show {
  transition: opacity 0.5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}
.btn {
  transition: 0.5s;
}
.btn.btn-primary,
.btn.btn-secondary {
  color: #fff;
}
.btn.btn-primary:hover {
  background: var(--secondary);
  border-color: var(--secondary);
}
.btn.btn-secondary:hover {
  background: var(--secondary);
  border-color: var(--secondary);
}
.btn-lg-square {
  width: 48px;
  height: 48px;
}
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 400;
}
.header_logo {
  z-index: 1025;
  transition: all 0.4s;
}
#logo_nav_shrink {
  transition: transform 1.5s ease-in;
  margin-left: 20px;
}
.navbar.sticky-top {
  top: -1000px;
  transition: ease-out 0.6s;
  background-color: #fff;
  border-radius: 5px;
}
.navbar .navbar-brand img {
  max-height: 60px;
}
.navbar .navbar-nav .nav-link {
  margin-left: 25px;
  padding: 10px 0;
  color: #696e77;
  font-weight: 500;
  outline: 0;
}
.navbar .navbar-nav .nav-link:hover {
  color: var(--primary);
}
.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}
@media (max-width: 991.98px) {
  .navbar .navbar-brand img {
    max-height: 45px;
  }
  .navbar .navbar-nav {
    margin-top: 20px;
    margin-bottom: 15px;
  }
  .navbar .nav-item .dropdown-menu {
    padding-left: 30px;
  }
}
@media (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    border: none;
    margin-top: 0;
    top: 150%;
    right: 0;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
  }
  .navbar .nav-item:hover .dropdown-menu {
    top: 100%;
    visibility: visible;
    transition: 0.5s;
    opacity: 1;
  }
}
.service-item {
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.07);
}
.appointment {
  background: linear-gradient(rgba(226, 226, 226, 0.2), #fff);
}
.footer {
  color: #a7a8b4;
}
p.footer-text {
  color: #fff;
  font-size: 1rem !important;
}
a.footer-text {
  color: #fff;
}
.footer .btn.btn-link {
  display: block;
  margin-bottom: 5px;
  padding: 0;
  text-align: right;
  color: #a7a8b4;
  font-weight: 400;
  text-transform: capitalize;
  transition: 0.3s;
}
.footer .btn.btn-link:after {
  position: relative;
  content: "\f104";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: #a7a8b4;
  margin-left: 10px;
}
.footer .btn.btn-link:hover {
  color: var(--light);
  letter-spacing: 1px;
  box-shadow: none;
}
.btn-nextjs {
  display: inline-block;
  outline: 0;
  cursor: pointer;
  border: none;
  padding: 0 1em;
  height: 3em;
  line-height: 45px;
  border-radius: 7px;
  font-weight: 400;
  font-size: 16px;
  background: #fff;
  color: #696969;
  box-shadow: 0 4px 14px 0 rgb(0 0 0 / 10%);
  transition: background 0.2s ease, color 0.2s ease, box-shadow 0.2s ease;
}
.btn-nextjs:hover {
  background: rgba(255, 255, 255, 0.9);
  box-shadow: 0 6px 20px rgb(93 93 93 / 23%);
}
.btn-roumi {
  padding: 0 1em;
  height: 3em;
  line-height: 45px;
  border: unset;
  border-radius: 7px;
  background: #fff;
  color: #696969;
  z-index: 1;
  position: relative;
  font-weight: 400;
  font-size: 16px;
  -webkit-box-shadow: 0 4px 14px 0 rgb(0 0 0 / 10%);
  box-shadow: 0 4px 14px 0 rgb(0 0 0 / 10%);
  transition: all 250ms;
  /* overflow: hidden; */
}

.btn-roumi::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  width: 0;
  border-radius: 7px;
  background-color: #212121;
  z-index: -1;
  transition: all 250ms;
}

.btn-roumi:hover {
  color: #e8e8e8;
}

.btn-roumi:hover::before {
  width: 100%;
  left: 0;
}

.speedyui-partner {
  --su-black-color: #000000;
}
.speedyui-partner .swiper-slide {
  height: 95px;
}
.speedyui-partner .swiper-button-next,
.speedyui-partner .swiper-button-prev {
  width: 30px;
  height: 30px;
}
.speedyui-partner .swiper-button-next::after,
.speedyui-partner .swiper-button-prev::after {
  font-size: 12px;
  color: var(--su-black-color);
}
.speedyui-partner .swiper-button-next {
  right: 0;
}
.speedyui-partner .swiper-button-prev {
  left: 0;
}
.speedyui-partner .partner-wrapper {
  transition: all 0.3s;
}
.speedyui-partner .partner-wrapper img {
  filter: grayscale(100%);
  transition: all 0.3s;
  opacity: 0.8;
}
.speedyui-partner .partner-wrapper:hover img {
  filter: grayscale(0);
  opacity: 1;
}
html {
  scrollbar-color: #2b14d8 #fff;
  overflow-x: hidden;
}
html::-webkit-scrollbar {
  width: 12px;
}
html::-webkit-scrollbar-track {
  background: #fff;
}
html::-webkit-scrollbar-thumb {
  background-color: #2b14d8;
  border-radius: 20px;
  border: 3px solid #fff;
}
input:not([type="submit"]):invalid:required {
  background: #fff;
}
input:not([type="submit"]):valid:required {
  background: #dfd;
}
#clear-all {
  text-decoration: underline;
}
#clear-all:hover {
  color: #2b14d8;
}
.btn-primary-gr {
  display: block;
  padding: 18px 44px;
  color: #fff;
  background: var(--bs-gradient);
  font-family: var(--main-font-family);
  line-height: var(--main-line-height);
  font-weight: 700;
  letter-spacing: 0.02em;
  text-align: center;
  outline: none;
  cursor: pointer;
  text-transform: uppercase;
  position: relative;
  text-decoration: none;
  white-space: nowrap;
  transform-origin: center center 0px;
  font-size: 14px;
  border: 1px solid transparent;
  transition: 0.3s, transform 0.5s;
  border-radius: 5px;
  transition: 0.4s transform ease-in-out, 0.4s box-shadow ease-in-out;
}

.btn-primary-gr::after {
  position: absolute;
  z-index: -1;
  content: "";
  inset: -1px;
  border-radius: inherit;
  background: var(--bs-gradient);
  translate: 0 15%;
  filter: blur(25px) brightness(1.8);
}

.btn-primary-ripple {
  font-size: 20px;
  color: #fff;
  background-color: var(--primary);
  border: none;
  border-radius: 40px;
  padding: 1em 3em;
  display: inline-block;
  position: relative;
  z-index: 1;
  overflow: hidden;
  cursor: pointer;
}
.btn-primary-ripple:hover {
  translate: -3px;
  box-shadow: 0 8px 12px rgba(0, 0, 0, 25);
}
.btn-primary-ripple::before {
  background: #4b22eb;
  border-radius: 100%;
  width: 150%;
  height: 300%;
  position: absolute;
  z-index: -1;
  top: 100%;
  left: 100%;
  content: "";
  transition: 0.4s all ease-in-out;
}
.btn-primary-ripple::before {
  top: -50%;
  left: -30%;
}
